### Hierarchy

- FaceMatcher

## Index

### Constructors

- constructor

### Accessors

- distanceThreshold
- labeledDescriptors

### Methods

- computeMeanDistance
- findBestMatch
- matchDescriptor
- toJSON
- fromJSON

## Constructors

### constructor

- new FaceMatcher(inputs: any, distanceThreshold?: number): FaceMatcher

- - Defined in globalApi/FaceMatcher.ts:9

  #### Parameters

  - ##### inputs: any

  - ##### distanceThreshold: number = 0.6

  #### Returns FaceMatcher

## Accessors

### distanceThreshold

- get distanceThreshold(): number

- - Defined in globalApi/FaceMatcher.ts:45

  #### Returns number

### labeledDescriptors

- get labeledDescriptors(): LabeledFaceDescriptors[]

- - Defined in globalApi/FaceMatcher.ts:43

  #### Returns LabeledFaceDescriptors[]

## Methods

### computeMeanDistance

- computeMeanDistance(queryDescriptor: Float32Array, descriptors: Float32Array[]): number

- - Defined in globalApi/FaceMatcher.ts:47

  #### Parameters

  - ##### queryDescriptor: Float32Array

  - ##### descriptors: Float32Array[]

  #### Returns number

### findBestMatch

- findBestMatch(queryDescriptor: Float32Array): FaceMatch

- - Defined in globalApi/FaceMatcher.ts:63

  #### Parameters

  - ##### queryDescriptor: Float32Array

  #### Returns FaceMatch

### matchDescriptor

- matchDescriptor(queryDescriptor: Float32Array): FaceMatch

- - Defined in globalApi/FaceMatcher.ts:54

  #### Parameters

  - ##### queryDescriptor: Float32Array

  #### Returns FaceMatch

### toJSON

- toJSON(): any

- - Defined in globalApi/FaceMatcher.ts:70

  #### Returns any

### Static fromJSON

- fromJSON(json: any): FaceMatcher

- - Defined in globalApi/FaceMatcher.ts:77

  #### Parameters

  - ##### json: any

  #### Returns FaceMatcher